# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_524_conv_principal - Convert a Kerberos V5 principal to a Kerberos V4 principal.

krb5_error_code krb5_524_conv_principal(krb5_context context, krb5_const_principal princ, char *name, char *inst, char *realm)

param

  [in] context - Library context

  [in] princ - V5 Principal

  [out] name - V4 principal’s name to be filled in

  [out] inst - V4 principal’s instance name to be filled in

  [out] realm - Principal’s realm name to be filled in

retval

  - 0 Success

  - KRB5_INVALID_PRINCIPAL Invalid principal name

  - KRB5_CONFIG_CANTOPEN Can’t open or find Kerberos configuration file

return

  - Kerberos error codes

This function separates a V5 principal princ into name , instance , and realm .